WordPress troubleshooting

In this help doc:

The Memberful plugin isn’t protecting my content

Make sure that your theme and page builder are compatible with Memberful.

My members can’t access my protected content

Some web hosting providers may block cookies or use extensive caching. This prevents Memberful from working properly.

If your member has to refresh their browser to access your protected posts, or they can’t access your protected posts at all, navigate to Settings → Memberful from your WordPress dashboard and run the Cookies Test. If it fails, disable any caching plugins on your site and ask your hosting provider to allow cookies from Memberful. Also ask them to disable the caching of URLs that start with http://YOURSITE.com/?memberful_endpoint.

My member was redirected to a WordPress form

After integrating with Memberful, we recommend that you delete your users from WordPress. (We will recreate the users.) If you don't delete the users, we will ask them to sign in with their existing WordPress credentials via the WordPress form so we can sync their WordPress / Memberful accounts.

Memberful oauth error

We had a problem signing you in, please try again later or contact the site admin. memberful_oauth_error

If a member reports the error above, it means we couldn't communicate with your WordPress site. Please disconnect / reconnect the plugin and then contact us if that doesn’t resolve the issue.

Could not create the Memberful mapping table

Could not create the Memberful mapping table

If you get the error above, it means when you cleaned up your WordPress database, you didn't remove Memberful's mapping table. To resolve this error, manually delete table wp_memberful_mapping from your database (assuming that your database table prefix is wp_) and reactivate the plugin. You can even use a plugin like Garbage Collector to help you track it down. Alternatively, you can ask your hosting provider for help.

Parse error: syntax error, unexpected

Parse error: syntax error, unexpected '?' in /home1/craftmba/public_html/tractionable/wp-content/plugins/memberful-wp/src/shortcodes.php on line 132

If you get the error above, your server is likely using an unsupported version of PHP (the language Wordpress runs on). Our latest plugin update uses a feature that was added to PHP in version 7 (over 4 years ago), and older versions no longer get security updates. For this reason, PHP creators, and Wordpress, consider them "end of life" and unsafe to use.

To resolve this error, ask your hosting provider to update you to a recent version of PHP. This will get the plugin working and secure your site. If this isn't possible, you can manually download an older version of the Memberful plugin. (Version 10.5.2 should work.)

Can't find what you're looking for? We'd love to help! 💪

Send us a message through the orange chat bubble in the lower right corner of the page. You'll hear back within a few hours Monday - Friday. 😀

Home

Memberful General +-

Guides +-

Getting Started +-

How to +-

Websites +-

Email Newsletters +-

Commmunity Forums +-

Course Builders +-

Affiliate Tracking +-

Analytics +-

WordPress General +-

Custom Development / API +-